# ChatPermissions - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat / ChatPermissions

# ChatPermissions

(common) `data class ChatPermissions` (source)

### Constructors

(common)

#### <init>

`ChatPermissions(canSendMessages: Boolean = false, canSendMediaMessages: Boolean = false, canSendPolls: Boolean = false, canSendOtherMessages: Boolean = false, canAddWebPagePreviews: Boolean = false, canChangeInfo: Boolean = false, canInviteUsers: Boolean = false, canPinMessages: Boolean = false)`

### Properties

(common)

#### canAddWebPagePreviews

`val canAddWebPagePreviews: Boolean`

(common)

#### canChangeInfo

`val canChangeInfo: Boolean`

(common)

#### canInviteUsers

`val canInviteUsers: Boolean`

(common)

#### canPinMessages

`val canPinMessages: Boolean`

(common)

#### canSendMediaMessages

`val canSendMediaMessages: Boolean`

(common)

#### canSendMessages

`val canSendMessages: Boolean`

(common)

#### canSendOtherMessages

`val canSendOtherMessages: Boolean`

(common)

#### canSendPolls

`val canSendPolls: Boolean`